dt = 0.01;
 t = 0.0;
yalt = [1;0];
ys_alt = [0;0]; //falsche AB bei simuliertem y
ys_neu = ys_alt;

yreal = []; //Ergebnis-Verlauf beim realen System
treal = [];

xalt=0;

for i=0:1:300

    r1 = 12;
    r2 =  8;

    RR = [r1,r2];

    x = yalt(1,1);

    //Rauschen draufschlagen:
    MITTELWERT = 0.0;
    STREUUNG   = 0.2;
    x = x + grand(1, 1, "nor", MITTELWERT, STREUUNG);

    yrek = [x;(x-xalt)/dt];

    LL=[10 0;0 10];

    u = -RR*ys_alt;  //wird auch im realen System verwendet.

//    u = -RR*yrek;  //alternativ Beobachter ausschalten und rekonstruierten Zutsand zur Regelung benutzen.

    steigung_sim = AA*ys_alt + BB*u + LL*(yrek - ys_alt);

    ys_neu = ys_alt +  steigung_sim * dt; //Euler-vorwärts-Integration


    yreal = [yreal,yalt];
    treal = [treal,t];
    yneu = ruku(yalt,t,dt);
    yalt = yneu;
    t=t+dt;

    xalt = x;

    ys_alt = ys_neu; //Vorbereitung für nächsten Euler-Integrationsschritt.
end

plot(treal,yreal);

