dt = 0.01;
 t = 0.0;
yalt = [0;0];
ys_alt = [0;0]; //falsche AB bei simuliertem y
ys_neu = ys_alt;

yreal = []; //Ergebnis-Verlauf beim realen System
treal = [];

xalt=0;

for i=0:1:600

    r1 = 12;
    r2 =  8;

    RR = [r1,r2];

    x = yalt(1,1);

    //Rauschen draufschlagen:
    MITTELWERT = 0.0;
    STREUUNG   = 0.1;
    x = x + grand(1, 1, "nor", MITTELWERT, STREUUNG);

    yrek = [x;(x-xalt)/dt];

    LL=[5 0;0 5];

    QQ    = [1 0;0 1] -AA*dt + BB*RR*dt + LL*dt; //ineffizient, aber übersichtlich
    QQinv = inv(QQ);


    ys_neu = QQinv*(ys_alt + LL*yrek*dt); //Euler-implizit-Integration

    u = -RR*ys_neu;  //wird auch im realen System verwendet.
//    u = -RR*yrek;  //alternativ Beobachter ausschalten und rekonstruierten Zutsand zur Regelung benutzen.


    yreal = [yreal,yalt];
    treal = [treal,t];
    yneu = ruku(yalt,t,dt);
    yalt = yneu;
    t=t+dt;

    xalt = x;

    ys_alt = ys_neu; //Vorbereitung für nächsten Euler-Integrationsschritt.
end


